Bullet Collision Detection & Physics Library: btSoftBody::Cluster Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSoftBody::Cluster Struct Reference

`#include <btSoftBody.h>`

Collaboration diagram for btSoftBody::Cluster:
[legend]

## Public Member Functions
| Cluster ()

## Public Attributes
tScalarArray | m_masses
btAlignedObjectArray< Node * > | m_nodes
tVector3Array | m_framerefs
btTransform | m_framexform
btScalar | m_idmass
btScalar | m_imass
btMatrix3x3 | m_locii
btMatrix3x3 | m_invwi
btVector3 | m_com
btVector3 | m_vimpulses [2]
btVector3 | m_dimpulses [2]
int | m_nvimpulses
int | m_ndimpulses
btVector3 | m_lv
btVector3 | m_av
btDbvtNode * | m_leaf
btScalar | m_ndamping
btScalar | m_ldamping
btScalar | m_adamping
btScalar | m_matching
btScalar | m_maxSelfCollisionImpulse
btScalar | m_selfCollisionImpulseFactor
bool | m_containsAnchor
bool | m_collide
int | m_clusterIndex

## Detailed Description

Definition at line 458 of file btSoftBody.h.

## Constructor & Destructor Documentation

## ◆ Cluster()

btSoftBody::Cluster::Cluster | ( |  | ) |
| inline

Definition at line 485 of file btSoftBody.h.

## Member Data Documentation

## ◆ m_adamping

btScalar btSoftBody::Cluster::m_adamping

Definition at line 478 of file btSoftBody.h.

## ◆ m_av

btVector3 btSoftBody::Cluster::m_av

Definition at line 474 of file btSoftBody.h.

## ◆ m_clusterIndex

int btSoftBody::Cluster::m_clusterIndex

Definition at line 484 of file btSoftBody.h.

## ◆ m_collide

bool btSoftBody::Cluster::m_collide

Definition at line 483 of file btSoftBody.h.

## ◆ m_com

btVector3 btSoftBody::Cluster::m_com

Definition at line 468 of file btSoftBody.h.

## ◆ m_containsAnchor

bool btSoftBody::Cluster::m_containsAnchor

Definition at line 482 of file btSoftBody.h.

## ◆ m_dimpulses

btVector3 btSoftBody::Cluster::m_dimpulses[2]

Definition at line 470 of file btSoftBody.h.

## ◆ m_framerefs

tVector3Array btSoftBody::Cluster::m_framerefs

Definition at line 462 of file btSoftBody.h.

## ◆ m_framexform

btTransform btSoftBody::Cluster::m_framexform

Definition at line 463 of file btSoftBody.h.

## ◆ m_idmass

btScalar btSoftBody::Cluster::m_idmass

Definition at line 464 of file btSoftBody.h.

## ◆ m_imass

btScalar btSoftBody::Cluster::m_imass

Definition at line 465 of file btSoftBody.h.

## ◆ m_invwi

btMatrix3x3 btSoftBody::Cluster::m_invwi

Definition at line 467 of file btSoftBody.h.

## ◆ m_ldamping

btScalar btSoftBody::Cluster::m_ldamping

Definition at line 477 of file btSoftBody.h.

## ◆ m_leaf

btDbvtNode* btSoftBody::Cluster::m_leaf

Definition at line 475 of file btSoftBody.h.

## ◆ m_locii

btMatrix3x3 btSoftBody::Cluster::m_locii

Definition at line 466 of file btSoftBody.h.

## ◆ m_lv

btVector3 btSoftBody::Cluster::m_lv

Definition at line 473 of file btSoftBody.h.

## ◆ m_masses

tScalarArray btSoftBody::Cluster::m_masses

Definition at line 460 of file btSoftBody.h.

## ◆ m_matching

btScalar btSoftBody::Cluster::m_matching

Definition at line 479 of file btSoftBody.h.

## ◆ m_maxSelfCollisionImpulse

btScalar btSoftBody::Cluster::m_maxSelfCollisionImpulse

Definition at line 480 of file btSoftBody.h.

## ◆ m_ndamping

btScalar btSoftBody::Cluster::m_ndamping

Definition at line 476 of file btSoftBody.h.

## ◆ m_ndimpulses

int btSoftBody::Cluster::m_ndimpulses

Definition at line 472 of file btSoftBody.h.

## ◆ m_nodes

btAlignedObjectArray<Node*> btSoftBody::Cluster::m_nodes

Definition at line 461 of file btSoftBody.h.

## ◆ m_nvimpulses

int btSoftBody::Cluster::m_nvimpulses

Definition at line 471 of file btSoftBody.h.

## ◆ m_selfCollisionImpulseFactor

btScalar btSoftBody::Cluster::m_selfCollisionImpulseFactor

Definition at line 481 of file btSoftBody.h.

## ◆ m_vimpulses

btVector3 btSoftBody::Cluster::m_vimpulses[2]

Definition at line 469 of file btSoftBody.h.

The documentation for this struct was generated from the following file:

- btSoftBody.h